OpenTTD Source: TileLayoutRegisters Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
TileLayoutRegisters Struct Reference

Additional modifiers for items in sprite layouts. More...

`#include <newgrf_commons.h>`

## Data Fields
TileLayoutFlags | flags
| Flags defining which members are valid and to be used.
uint8_t | dodraw
| Register deciding whether the sprite shall be drawn at all. Non-zero means drawing.
uint8_t | sprite
| Register specifying a signed offset for the sprite.
uint8_t | palette
| Register specifying a signed offset for the palette.
uint16_t | max_sprite_offset
| Maximum offset to add to the sprite. (limited by size of the spriteset)
uint16_t | max_palette_offset
| Maximum offset to add to the palette. (limited by size of the spriteset)
union { |
uint8_t parent [3] |
| Registers for signed offsets for the bounding box position of parent sprites. More...
uint8_t child [2] |
| Registers for signed offsets for the position of child sprites. More...
} | delta |
uint8_t | sprite_var10
| Value for variable 10 when resolving the sprite.
uint8_t | palette_var10
| Value for variable 10 when resolving the palette.

## Detailed Description

Additional modifiers for items in sprite layouts.

Definition at line 91 of file newgrf_commons.h.

## Field Documentation

## ◆ child

uint8_t TileLayoutRegisters::child[2]

Registers for signed offsets for the position of child sprites.

Definition at line 100 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), and ReadSpriteLayoutRegisters().

## ◆ dodraw

uint8_t TileLayoutRegisters::dodraw

Register deciding whether the sprite shall be drawn at all. Non-zero means drawing.

Definition at line 93 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), and ReadSpriteLayoutRegisters().

## ◆ flags

TileLayoutFlags TileLayoutRegisters::flags

Flags defining which members are valid and to be used.

Definition at line 92 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), ReadSpriteLayoutRegisters(), and SpriteLayoutProcessor::SpriteLayoutProcessor().

## ◆ max_palette_offset

uint16_t TileLayoutRegisters::max_palette_offset

Maximum offset to add to the palette. (limited by size of the spriteset)

Definition at line 97 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), ReadSpriteLayout(), and SpriteLayoutProcessor::SpriteLayoutProcessor().

## ◆ max_sprite_offset

uint16_t TileLayoutRegisters::max_sprite_offset

Maximum offset to add to the sprite. (limited by size of the spriteset)

Definition at line 96 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), ReadSpriteLayout(), and SpriteLayoutProcessor::SpriteLayoutProcessor().

## ◆ palette

uint8_t TileLayoutRegisters::palette

Register specifying a signed offset for the palette.

Definition at line 95 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), and ReadSpriteLayoutRegisters().

## ◆ palette_var10

uint8_t TileLayoutRegisters::palette_var10

Value for variable 10 when resolving the palette.

Definition at line 103 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), ReadSpriteLayoutRegisters(), and SpriteLayoutProcessor::SpriteLayoutProcessor().

## ◆ parent

uint8_t TileLayoutRegisters::parent[3]

Registers for signed offsets for the bounding box position of parent sprites.

Definition at line 99 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), and ReadSpriteLayoutRegisters().

## ◆ sprite

uint8_t TileLayoutRegisters::sprite

Register specifying a signed offset for the sprite.

Definition at line 94 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), and ReadSpriteLayoutRegisters().

## ◆ sprite_var10

uint8_t TileLayoutRegisters::sprite_var10

Value for variable 10 when resolving the sprite.

Definition at line 102 of file newgrf_commons.h.

Referenced by SpriteLayoutProcessor::ProcessRegisters(), ReadSpriteLayoutRegisters(), and SpriteLayoutProcessor::SpriteLayoutProcessor().

The documentation for this struct was generated from the following file:

- src/newgrf_commons.h